package federal_state

import "context"

type Repository interface {
	Create(ctx context.Context, row *FederalState) error
	Update(ctx context.Context, row *FederalState) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*FederalState, error)
	List(ctx context.Context, filter, sort string, limit, offset int, landID []byte, landName string) ([]FederalState, int64, error)
}
